package com.steerinfo.ems.ifmesemsswapfile.service;

import java.math.BigDecimal;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Set;

import com.steerinfo.ems.ifmesemsswapfile.model.IfMesEmsSwapfile;
import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.framework.service.pagehelper.PageList;


public interface IIfMesEmsSwapfileService extends IBaseService<IfMesEmsSwapfile, String>{

    /**
	 * EMS获取MES投入产出数据
	 * @return
	 */
	String synchronousMesAnEmsData();

	/**
	 * 获取未读取的材料数据
	 * @return
	 */
	List<IfMesEmsSwapfile> selectNewMaterial(HashMap<String, Object> model);

	/**
	 * 更改Status
	 * @return
	 */
	int updateStatus(HashMap<String, Object> m);

	/**
	 * 根据产线编码与物料编码获取所有项的累计值
	 * @return
	 */
	BigDecimal getSUM(HashMap<String, Object> map);
	
	/**
	 * 从正式环境同步MES投入产出数据
	 * 
	 * @param d
	 * @return
	 */
	String synchronousMesFromProd(Date d);
}